image: alpine:3.13.6

variables:
  JEKYLL_ENV: production
  LC_ALL: C.UTF-8

test:
  stage: test
  before_script:
  - apk add libffi libstdc++ libxslt libxml2 tzdata ruby ruby-bundler ruby-json ruby-bigdecimal ruby-rake yarn vips file git brotli gzip
  - yarn
  - bundle install
  script:
  - bundle exec jekyll build
  except:
  - master

pages:
  stage: deploy
  before_script:
  - apk add libffi libstdc++ libxslt libxml2 tzdata ruby ruby-bundler ruby-json ruby-bigdecimal ruby-rake yarn vips file git brotli gzip
  - yarn
  - bundle install
  script:
  - bundle exec jekyll build -d public
  artifacts:
    paths:
    - public
  only:
  - master

